> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cortex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Catalogs

Use these operations to interact with [catalogs](/ingesting-data-into-cortex/catalogs/viewing-catalogs) in Cortex.

### Required permissions

* View catalogs: Your API key must have the `View catalogs` permission.
* Edit catalogs: Your API key must have the `Edit catalogs` permission.

## Operations

<Columns cols={2}>
  <Card title="List catalogs" icon="code" href="/api/rest/catalogs/list-catalogs">
    `GET /api/v1/catalog-pages`
  </Card>

  <Card title="Create or replace a catalog" icon="code" href="/api/rest/catalogs/create-or-replace-a-catalog">
    `POST /api/v1/catalog-pages`
  </Card>

  <Card title="Get catalog" icon="code" href="/api/rest/catalogs/get-catalog">
    `GET /api/v1/catalog-pages/{slug}`
  </Card>

  <Card title="Delete catalog" icon="code" href="/api/rest/catalogs/delete-catalog">
    `DELETE /api/v1/catalog-pages/{slug}`
  </Card>
</Columns>


## Related topics

- [Managing catalogs](/ingesting-data-into-cortex/catalogs/managing-catalogs.md)
- [List catalogs](/api/rest/catalogs/list-catalogs.md)
- [Catalogs overview](/ingesting-data-into-cortex/catalogs.md)
